<template>
    <q-item clickable v-ripple :to="`/subcontractor/${sub.id}`">
        <q-item-section avatar>
            <q-avatar :style="`background: ${sub.color}`" size="64px">
                <img :src="sub.logo" alt="Cannot find image" style="width: 48px; height: 50px;" class="bg-base">
            </q-avatar>
        </q-item-section>
        <q-item-section>
            <q-item-label>{{ sub.name }}</q-item-label>
            <q-item-label caption lines="1">{{ sub.id }}</q-item-label>
        </q-item-section>
    </q-item>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {SubContractorPrincipalResponse} from "src/classLibrary/APIModels/core/subContractorPrincipalResponse";


@Component
export default class WorkerItem extends Vue {
    @Prop() sub!: SubContractorPrincipalResponse
}
</script>
